Bug 426690 - g-p-m and the Acer TravelMate 5720 backlight
g-p-m and the Acer TravelMate 5720 backlight
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 07:32 EST by Ignacio Vazquez-Abrams
Modified: 2013-03-05 22:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:36:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2007-12-24 07:32:40 EST
gnome-power-manager-2.20.0-6.fc8
kernel-2.6.23.9-85.fc8

Several issues here.

Pressing BrightnessDown (Fn+Left Arrow) reduces brighness up until the last
step, at which point the display goes full brightness (and then cycles back
around from there). BrightnessUp (Fn+Right Arrow) works normally.

The "Dim display when idle" checkbox on the "On Battery Power" tab actually
causes the display to brighten when the slider is set to 0%.

The display alternatingly gets brighter and dimmer when the "Dim display
brightness by" slider is moved in one direction.

The backlight flickers several times when the brightness is changed by g-p-m
after idle time.

The "Dim display brightness by" slider doesn't appear to have any effect when
set to a value other than 0%.

I'm willing to run any diagnosis and monitoring commands or procedures you need
in order to figure this out.
Comment 1 Ignacio Vazquez-Abrams 2008-01-12 23:23:09 EST
The brightness changes even when "Dim display when idle" is unchecked.

Oh, and I forgot to mention that I currently have acer_acpi-0.10-1.lvn8 installed.
Comment 2 Alex Sm 2008-03-27 01:52:48 EDT
With "Dim display when idle" unchecked or checked, on fedora kernels 2.6.23...
and 2.6.24.... whith acer_acpi installed or not installed I have incorrect
brightness adjustment on Acer Aspire 5720: BrightnessUp (Fn+Right Arrow)
increase brightness 2 or 3 steps and then reset it to 0. BrightnessDown (Fn+Left
Arrow) set brightness to 0. With acer_acpi
 echo $X > /proc/acpi/acer/brightness , when X=0 to 9
works fine.

Comment 3 Richard Hughes 2008-04-30 05:12:49 EDT
Do you have better luck with a more recent kernel?
Comment 4 Ignacio Vazquez-Abrams 2008-04-30 09:12:20 EDT
kernel-2.6.24.4-64.fc8.x86_64
acer_acpi-0.11.1-1.lvn8

(In reply to comment #0)
> Pressing BrightnessDown (Fn+Left Arrow) reduces brighness up until the last
> step, at which point the display goes full brightness (and then cycles back
> around from there). BrightnessUp (Fn+Right Arrow) works normally.

Fixed.

> The "Dim display when idle" checkbox on the "On Battery Power" tab actually
> causes the display to brighten when the slider is set to 0%.

Still broken. Causes the display to brighten to "On AC Power" reduced by "On
Battery Power" value.

> The display alternatingly gets brighter and dimmer when the "Dim display
> brightness by" slider is moved in one direction.

Fixed.

> The backlight flickers several times when the brightness is changed by g-p-m
> after idle time.

Fixed.

> The "Dim display brightness by" slider doesn't appear to have any effect when
> set to a value other than 0%.

Fixed.

(In reply to comment #1)
> The brightness changes even when "Dim display when idle" is unchecked.

Still broken.

So the idle functionality is still broken, but everything else works.
Comment 5 Bug Zapper 2008-11-26 04:09:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:36:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.